package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag972;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT972Creator;

import java.util.List;

/**
 * @author hedonghao
 * @date 2023/2/25
 */
public class Tag61Creator extends AbsTagCreate {

    private MT972Creator mt972Creator;

    public Tag61Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt972Creator= (MT972Creator) absMTCreator;
    }

    public  void creator()
    {
        List tag61Value=mt972Creator.getStatLine();
        mt972Creator.set("61",tag61Value,true);
    }
}
